--- a/examples/pyro/factor_srvr
+++ b/examples/pyro/factor_srvr
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 
 import factor
 import pyutilib.pyro
--- a/examples/pyro/factorize
+++ b/examples/pyro/factorize
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 
 from pyutilib.pyro import Client, Task
 import random
--- a/pyutilib/component/loader/tests/eggsrc/pkg1/setup.py
+++ b/pyutilib/component/loader/tests/eggsrc/pkg1/setup.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # -*- coding: iso-8859-1 -*-
 
 from setuptools import setup
--- a/pyutilib/dev/lbin.py
+++ b/pyutilib/dev/lbin.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 
 import sys
 import os
@@ -50,6 +50,8 @@ def lbin(args):
     while os.sep in curr:
         if exists(join(curr, "python")):
             dirs.append(join(curr, "python", "bin"))
+        if exists(join(curr, "python3")):
+            dirs.append(join(curr, "python3", "bin"))
         if exists(join(curr, "bin")):
             dirs.append(join(curr, "bin"))
         if basename(curr) == "":
--- a/pyutilib/dev/lpython.py
+++ b/pyutilib/dev/lpython.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 #
 # This script searches for a local python installation, which is
 # applied, rather than the python executable on the user's path.
@@ -45,28 +45,28 @@ def lpython(args):
     except:
         curr = abspath(os.getcwd())
     while os.sep in curr:
-        if exists(join(curr, "python", "bin", "python")):
-            pexec = join(curr, "python", "bin", "python")
+        if exists(join(curr, "python", "bin", "python3")):
+            pexec = join(curr, "python", "bin", "python3")
             os.environ["PATH"] = join(curr,
                                       "bin") + os.pathsep + os.environ["PATH"]
             break
-        if exists(join(curr, "python", "bin", "python.exe")):
-            pexec = join(curr, "python", "bin", "python.exe")
+        if exists(join(curr, "python", "bin", "python3")):
+            pexec = join(curr, "python", "bin", "python3")
             os.environ["PATH"] = join(curr,
                                       "bin") + os.pathsep + os.environ["PATH"]
             break
+        if exists(join(curr, "bin", "python3")):
+            pexec = join(curr, "bin", "python3")
+            break
         if exists(join(curr, "bin", "python")):
             pexec = join(curr, "bin", "python")
             break
-        if exists(join(curr, "bin", "python.exe")):
-            pexec = join(curr, "bin", "python.exe")
-            break
         if basename(curr) == "":
             break
         curr = dirname(curr)
 
     if pexec is None:
-        pexec = 'python'
+        pexec = 'python3'
     os.execvp(pexec, [pexec] + args)
 
     #try:
--- a/pyutilib/dev/pypi_downloads.py
+++ b/pyutilib/dev/pypi_downloads.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # -*- coding: utf-8 -*-
 """
 Calculates the total number of downloads that a particular PyPI package has
--- a/pyutilib/pyro/dispatch_srvr.py
+++ b/pyutilib/pyro/dispatch_srvr.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 
 import sys
 from optparse import OptionParser
--- a/pyutilib/subprocess/processmngr.py
+++ b/pyutilib/subprocess/processmngr.py
@@ -936,11 +936,11 @@ if __name__ == "__main__":  #pragma:noco
 
         print("X")
         [rc, output] = run_command(
-            "python -c \"while True: print '.'\"", timelimit=2)
+            "python3 -c \"while True: print '.'\"", timelimit=2)
         print("Y")
-        #[rc,output] = run_command("python -c \"while True: print '.'\"")
+        #[rc,output] = run_command("python3 -c \"while True: print '.'\"")
         [rc, output] = run_command(
-            "python -c \"while True: print '.'\"", verbose=False)
+            "python3 -c \"while True: print '.'\"", verbose=False)
         print("Y-end")
     else:
         foo = SubprocessMngr("cmd /C \"dir\"")
@@ -949,7 +949,7 @@ if __name__ == "__main__":  #pragma:noco
 
     print("Z")
     stime = timer()
-    foo = run_command("python -c \"while True: pass\"", timelimit=10)
+    foo = run_command("python3 -c \"while True: pass\"", timelimit=10)
     print("A")
     print("Ran for " + repr(timer() - stime) + " seconds")
 
--- a/pyutilib/component/loader/tests/eggsrc/pkg2/setup.py
+++ b/pyutilib/component/loader/tests/eggsrc/pkg2/setup.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # -*- coding: iso-8859-1 -*-
 
 from setuptools import setup
--- a/pyutilib/component/loader/tests/eggsrc/pkg3/setup.py
+++ b/pyutilib/component/loader/tests/eggsrc/pkg3/setup.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # -*- coding: iso-8859-1 -*-
 
 from setuptools import setup
--- a/pyutilib/component/loader/tests/eggsrc/pkg4/setup.py
+++ b/pyutilib/component/loader/tests/eggsrc/pkg4/setup.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # -*- coding: iso-8859-1 -*-
 
 from setuptools import setup
--- a/pyutilib/component/loader/tests/eggsrc/pkg5/setup.py
+++ b/pyutilib/component/loader/tests/eggsrc/pkg5/setup.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # -*- coding: iso-8859-1 -*-
 
 from setuptools import setup
--- a/pyutilib/component/loader/tests/eggsrc/pkg6/setup.py
+++ b/pyutilib/component/loader/tests/eggsrc/pkg6/setup.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # -*- coding: iso-8859-1 -*-
 
 from setuptools import setup
--- a/pyutilib/component/loader/tests/eggsrc/pkg7/setup.py
+++ b/pyutilib/component/loader/tests/eggsrc/pkg7/setup.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/python3
 # -*- coding: iso-8859-1 -*-
 
 from setuptools import setup
--- a/doc/th/overview.txt
+++ b/doc/th/overview.txt
@@ -179,9 +179,9 @@ The command-line interface can specify t
 individual tests.  Suppose that these tests are in the file `tests.py`, then the following
 command-lines can be used:
 {{{
-python tests.py                     - run all test suites
-python tests.py Test                - run all 'test*' test methods in Test
-python tests.py Test.test_shuffle   - run Test.test_shuffle
+python3 tests.py                     - run all test suites
+python3 tests.py Test                - run all 'test*' test methods in Test
+python3 tests.py Test.test_shuffle   - run Test.test_shuffle
 }}}
 Starting with Python 2.7, the `unittest` package can be used to execute tests 
 without requiring the the
@@ -194,7 +194,7 @@ Starting with Python 2.7, the `unittest`
 Test discovery can be used from the command line with the following syntax:
 {{{
 cd project_directory
-python -m unittest discover
+python3 -m unittest discover
 }}}
 
 For now, the `nose` package provides a more comprehensive capability for test discovery.
--- a/doc/workflow/examples/driver_1.sh
+++ b/doc/workflow/examples/driver_1.sh
@@ -1,5 +1,5 @@
 #!/bin/sh
 
 # @code:
-python driver1.py TaskZ --x=3 --y=4
+python3 driver1.py TaskZ --x=3 --y=4
 # @:code
--- a/doc/workflow/examples/driver_2.sh
+++ b/doc/workflow/examples/driver_2.sh
@@ -1,5 +1,5 @@
 #!/bin/sh
 
 # @code:
-python driver2.py TaskZ --help
+python3 driver2.py TaskZ --help
 # @:code
--- a/doc/workflow/examples/driver_3.sh
+++ b/doc/workflow/examples/driver_3.sh
@@ -1,5 +1,5 @@
 #!/bin/sh
 
 # @code:
-python driver2.py --help
+python3 driver2.py --help
 # @:code
--- a/pyutilib/component/loader/tests/eggsrc/update
+++ b/pyutilib/component/loader/tests/eggsrc/update
@@ -4,25 +4,25 @@
 #
 
 cd pkg1
-python setup.py sdist bdist_egg
+python3 setup.py sdist bdist_egg
 
 cd ../pkg2
-python setup.py sdist bdist_egg
+python3 setup.py sdist bdist_egg
 
 cd ../pkg3
-python setup.py sdist bdist_egg
+python3 setup.py sdist bdist_egg
 
 cd ../pkg4
-python setup.py sdist bdist_egg
+python3 setup.py sdist bdist_egg
 
 cd ../pkg5
-python setup.py sdist bdist_egg
+python3 setup.py sdist bdist_egg
 
 cd ../pkg6
-python setup.py sdist bdist_egg
+python3 setup.py sdist bdist_egg
 
 cd ../pkg7
-python setup.py sdist bdist_egg
+python3 setup.py sdist bdist_egg
 
 cd ..
 cp pkg[1-2]/dist/P*egg ../eggs1
